# $Revision: 1.4 $, $Date: 2003/11/02 21:14:49 $
Summary:	MERS - Message and Error Reporting System
Summary(pl):	MERS - system komunikatw i raportowania bdw
Name:		starlink-err
Version:	1.8.218
Release:	1
License:	non-commercial use and distribution (see MERS_CONDITIONS)
Group:		Libraries
Source0:	ftp://ftp.starlink.rl.ac.uk/pub/ussc/store/mers/err.tar.Z
# Source0-md5:	1916d131656da30052c6ca5df3556c84
Patch0:		%{name}-make.patch
URL:		http://www.starlink.rl.ac.uk/static_www/soft_further_MERS.html
BuildRequires:	gcc-g77
BuildRequires:	starlink-pcs-devel
BuildRequires:	starlink-sae-devel
Requires:	starlink-sae
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		stardir		/usr/lib/star

%description
This package contains two Fortran subroutine libraries, MSG and ERR,
which can be used to provide informational text to the user from any
application program. The Message Reporting System, MSG, is used for
reporting non-error information and the Error Reporting System, ERR,
is used specifically for reporting error messages.

%description -l pl
Ten pakiet zawiera dwie biblioteki funkcji fortranowych - MSG i ERR,
ktre mog by uywane do dostarczania tekstu informacyjnego do
uytkownika z poziomu dowolnej aplikacji. MSG (Message Reporting
System - system raportowania komunikatw) suy do raportowania
informacji nie bdcych bdami, natomiast ERR (Error Reporting
System - system raportowania bdw) jest uywany dla komunikatw
bdw.

%package devel
Summary:	Header files for MERS libraries
Summary(pl):	Pliki nagwkowe bibliotek MERS
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	starlink-pcs-devel

%description devel
Header files for MERS libraries.

%description devel -l pl
Pliki nagwkowe bibliotek MERS.

%package static
Summary:	Static Starlink MERS libraries
Summary(pl):	Statyczne biblioteki Starlink MERS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static Starlink MERS libraries.

%description static -l pl
Statyczne biblioteki Starlink MERS.

%prep
%setup -q -c
%patch -p1

%build
OPT="%{rpmcflags}" \
SYSTEM=ix86_Linux \
./mk build \
	STARLINK=%{stardir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{stardir}/help

SYSTEM=ix86_Linux \
./mk install \
	STARLINK=%{stardir} \
	INSTALL=$RPM_BUILD_ROOT%{stardir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc MERS_CONDITIONS mers.news
%{stardir}/dates/*
%docdir %{stardir}/docs
%{stardir}/docs/sun*
%{stardir}/help/fac*
%attr(755,root,root) %{stardir}/share/*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{stardir}/bin/err_dev
%attr(755,root,root) %{stardir}/bin/err_link*
%{stardir}/include/*

%files static
%defattr(644,root,root,755)
%{stardir}/lib/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: starlink-err.spec,v $
Revision 1.4  2003/11/02 21:14:49  ankry
- restore Source0 URL

Revision 1.3  2003/11/02 21:09:14  ankry
- use dropin to fetch sources

Revision 1.2  2003/11/02 13:27:16  qboosh
- link liberr_standalone.so and liberr_adam.so with -lerr to simplify things

Revision 1.1  2003/11/02 04:14:28  qboosh
- new
